clear
close all
x_min = -10;  x_max = 10;  t_min = 0;  t_max = 10;
u_min = 0;  u_max = 1;
h = 0.1;  dt = 0.1;

x = x_min:h:x_max;  t = t_min:dt:t_max;
N_frames = length(t);
wait_time = 0.01;
for I = 1:N_frames
  U = (exp(-(x-t(I)).^2)+exp(-(x+t(I)).^2))/2;
  plot(x, U);
  xlabel('x');  ylabel('t');
  axis([x_min x_max u_min u_max])
  title(sprintf('t=%4.2e\n', t(I)))
  pause(wait_time);
end

